%define        pkg_ver %(echo %{version} | tr -d '.')

Name:          edfbrowser
Version:       1.85
Release:       1mamba
Summary:       An universal viewer for medical timeseries storage files
Group:         Graphical Desktop/Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           https://www.teuniz.net/edfbrowser/
Source:        https://www.teuniz.net/edfbrowser/edfbrowser_%{pkg_ver}_source.tar.gz
Source1:       edfbrowser.desktop
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
A free, opensource, multiplatform, universal viewer and toolbox intended for, but not limited to, timeseries storage files like EEG, EMG, ECG, BioImpedance, etc.

%debug_package

%prep
%setup -q -n %{name}_%{pkg_ver}_source
sed -i 's,\(edfbrowser\)\(/manual\),\1-%{version}\2,' mainwindow.cpp

%build
%{_qt5_qmake}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m 0755 edfbrowser %{buildroot}%{_bindir}/edfbrowser

install -D -m 0644 images/edf.png \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/edfbrowser.png
  
install -D -m 0644 %{S:1} \
  %{buildroot}%{_datadir}/applications/edfbrowser.desktop
  

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/icons/hicolor/48x48/apps/edfbrowser.png
%{_datadir}/applications/edfbrowser.desktop
%doc LICENSE version.txt doc/*

%changelog
* Sun Sep 05 2021 Automatic Build System <autodist@mambasoft.it> 1.85-1mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 1.84-1mamba
- automatic version update by autodist

* Tue Apr 06 2021 Automatic Build System <autodist@mambasoft.it> 1.83-1mamba
- automatic version update by autodist

* Tue Mar 30 2021 Automatic Build System <autodist@mambasoft.it> 1.82-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 1.81-1mamba
- automatic version update by autodist

* Mon May 04 2020 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.75-1mamba
- update to 1.75

* Fri Nov 22 2019 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.70-1mamba
- update to 1.70

* Tue May 07 2019 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.67-2mamba
- build with Qt5

* Tue Mar 05 2019 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.67-1mamba
- update to 1.67

* Mon Jul 23 2018 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.65-1mamba
- update to 1.65

* Mon Mar 12 2018 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.63-1mamba
- update to 1.63

* Mon Mar 05 2018 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.62-1mamba
- update to 1.62

* Tue Oct 10 2017 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.60-1mamba
- update to 1.60

* Tue Jul 25 2017 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.59-1mamba
- update to 1.59

* Mon Jul 11 2016 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.58-1mamba
- update to 1.58

* Fri Jan 29 2016 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.57-1mamba
- update to 1.57

* Fri Jun 26 2015 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.56-1mamba
- update to 1.56

* Wed Feb 11 2015 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.55-1mamba
- update to 1.55

* Sun Oct 12 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.54-1mamba
- update to 1.54

* Thu Jan 02 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.53-1mamba
- update to 1.53

* Mon Sep 16 2013 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.52-2mamba
- fix manual path in source code

* Thu Sep 12 2013 openmamba WebBuild System <webbuild@openmamba.org> 1.52-1mamba
- package created by stefano using the webbuild interface
